Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class BorderFactory

    java.lang.Object
      |
      +--javax.swing.BorderFactory

public class BorderFactory
extends java.lang.Object

Factory class for vending standard Border objects. Whereever possible, this factory will hand out references to shared Border instances.

Method Summary
`static Border` | `createBevelBorder(int type)` Create a beveled border of the specified type, using brighter shades of the component's current background color for highlighting, and darker shading for shadows.
`static Border` | `createBevelBorder(int type, java.awt.Color highlight, java.awt.Color shadow)` Create a beveled border of the specified type, using the specified highlighting and shadowing.
`static Border` | `createBevelBorder(int type, java.awt.Color highlightOuter, java.awt.Color highlightInner, java.awt.Color shadowOuter, java.awt.Color shadowInner)` Create a beveled border of the specified type, using the specified colors for the inner and outer highlight and shadow areas.
`static CompoundBorder` | `createCompoundBorder()` Create a compound border with a null inside edge and a null outside edge.
`static CompoundBorder` | `createCompoundBorder(Border outsideBorder, Border insideBorder)` Create a compound border specifying the border objects to use for the outside and inside edges.
`static Border` | `createEmptyBorder()` Creates an empty border that takes up no space.
`static Border` | `createEmptyBorder(int top, int left, int bottom, int right)` Creates an empty border that takes up no space but which does no drawing, specifying the width of the top, left, bottom, and right sides.
`static Border` | `createEtchedBorder()` Create a border with an "etched" look using the component's current background color for highlighting and shading.
`static Border` | `createEtchedBorder(java.awt.Color highlight, java.awt.Color shadow)` Create a border with an "etched" look using the specified highlighting and shading colors.
`static Border` | `createLineBorder(java.awt.Color color)` Creates a line border withe the specified color.
`static Border` | `createLineBorder(java.awt.Color color, int thickness)` Creates a line border withe the specified color and width.
`static Border` | `createLoweredBevelBorder()` Created a border with a lowered beveled edge, using brighter shades of the component's current background color for highlighting, and darker shading for shadows.
`static MatteBorder` | `createMatteBorder(int top, int left, int bottom, int right, java.awt.Color color)` Create a matte-look border using a solid color.
`static MatteBorder` | `createMatteBorder(int top, int left, int bottom, int right, Icon tileIcon)` Create a matte-look border that consists of multiple tiles of a specified icon.
`static Border` | `createRaisedBevelBorder()` Created a border with a raised beveled edge, using brighter shades of the component's current background color for highlighting, and darker shading for shadows.
`static TitledBorder` | `createTitledBorder(Border border)` Create a new title border with an empty title specifying the border object, using the default text position (sitting on the top line) and default justification (left) and using the default font, text color, and edge determined by the current look and feel.
`static TitledBorder` | `createTitledBorder(Border border, java.lang.String title)` Add a title to an existing border, specifying the text of the title, using the default positioning (sitting on the top line) and default justification (left) and using the default font and text color determined by the current look and feel.
`static TitledBorder` | `createTitledBorder(Border border, java.lang.String title, int titleJustification, int titlePosition)` Add a title to an existing border, specifying the text of the title along with its positioning, using the default font and text color determined by the current look and feel.
`static TitledBorder` | `createTitledBorder(Border border, java.lang.String title, int titleJustification, int titlePosition, java.awt.Font titleFont)` Add a title to an existing border, specifying the text of the title along with its positioning and font, using the default text color determined by the current look and feel.
`static TitledBorder` | `createTitledBorder(Border border, java.lang.String title, int titleJustification, int titlePosition, java.awt.Font titleFont, java.awt.Color titleColor)` Add a title to an existing border, specifying the text of the title along with its positioning, font, and color.
`static TitledBorder` | `createTitledBorder(java.lang.String title)` Create a new title border specifying the text of the title, using the default border (etched), using the default text position (sitting on the top line) and default justification (left) and using the default font and text color determined by the current look and feel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createLineBorder

    public static Border createLineBorder(java.awt.Color color)

  Creates a line border withe the specified color.
  Parameters:
    `color` - a Color to use for the line
  Returns:
    the Border object

### createLineBorder

    public static Border createLineBorder(java.awt.Color color,
                                          int thickness)

  Creates a line border withe the specified color and width. The width applies to all 4 sides of the border. To specify widths individually for the top, bottom, left, and right, use `createMatteBorder(int,int,int,int,Color)`.
  Parameters:
    `color` - a Color to use for the line
    `thickness` - an int specifying the width in pixels
  Returns:
    the Border object

### createRaisedBevelBorder

    public static Border createRaisedBevelBorder()

  Created a border with a raised beveled edge, using brighter shades of the component's current background color for highlighting, and darker shading for shadows. (In a raised border, highlights are on top and shadows are underneath.)
  Returns:
    the Border object

### createLoweredBevelBorder

    public static Border createLoweredBevelBorder()

  Created a border with a lowered beveled edge, using brighter shades of the component's current background color for highlighting, and darker shading for shadows. (In a lowered border, shadows are on top and highlights are underneath.)
  Returns:
    the Border object

### createBevelBorder

    public static Border createBevelBorder(int type)

  Create a beveled border of the specified type, using brighter shades of the component's current background color for highlighting, and darker shading for shadows. (In a lowered border, shadows are on top and highlights are underneath.).
  Parameters:
    `type` - an int specifying either BevelBorder.LOWERED or BevelBorder.LOWERED
  Returns:
    the Border object

### createBevelBorder

    public static Border createBevelBorder(int type,
                                           java.awt.Color highlight,
                                           java.awt.Color shadow)

  Create a beveled border of the specified type, using the specified highlighting and shadowing. The outer edge of the highlighted area uses a brighter shade of the highlight color. The inner edge of the shadow area uses a brighter shade of the shadaw color.
  Parameters:
    `type` - an int specifying either BevelBorder.LOWERED or BevelBorder.LOWERED
    `highlight` - a Color object for highlights
    `shadow` - a Color object for shadows
  Returns:
    the Border object

### createBevelBorder

    public static Border createBevelBorder(int type,
                                           java.awt.Color highlightOuter,
                                           java.awt.Color highlightInner,
                                           java.awt.Color shadowOuter,
                                           java.awt.Color shadowInner)

  Create a beveled border of the specified type, using the specified colors for the inner and outer highlight and shadow areas.
  Parameters:
    `type` - an int specifying either BevelBorder.LOWERED or BevelBorder.LOWERED
    `highlightOuter` - a Color object for the outer edge of the highlight area
    `highlightInner` - a Color object for the inner edge of the highlight area
    `shadowOuter` - a Color object for the outer edge of the shadow area
    `shadowInner` - a Color object for the inner edge of the shadow area
  Returns:
    the Border object

### createEtchedBorder

    public static Border createEtchedBorder()

  Create a border with an "etched" look using the component's current background color for highlighting and shading.
  Returns:
    the Border object

### createEtchedBorder

    public static Border createEtchedBorder(java.awt.Color highlight,
                                            java.awt.Color shadow)

  Create a border with an "etched" look using the specified highlighting and shading colors.
  Parameters:
    `highlight` - a Color object for the border highlights
    `shadow` - a Color object for the border shadows
  Returns:
    the Border object

### createTitledBorder

    public static TitledBorder createTitledBorder(java.lang.String title)

  Create a new title border specifying the text of the title, using the default border (etched), using the default text position (sitting on the top line) and default justification (left) and using the default font and text color determined by the current look and feel.
  Parameters:
    `title` - a String containing the text of the title
  Returns:
    the TitledBorder object

### createTitledBorder

    public static TitledBorder createTitledBorder(Border border)

  Create a new title border with an empty title specifying the border object, using the default text position (sitting on the top line) and default justification (left) and using the default font, text color, and edge determined by the current look and feel. (The Motif look and feel uses an etched border edge. The Windows and the Java look and feel use a gray edge.)
  Parameters:
    `title` - a String containing the text of the title
  Returns:
    the TitledBorder object

### createTitledBorder

    public static TitledBorder createTitledBorder(Border border,
                                                  java.lang.String title)

  Add a title to an existing border, specifying the text of the title, using the default positioning (sitting on the top line) and default justification (left) and using the default font and text color determined by the current look and feel.
  Parameters:
    `border` - the Border object to add the title to
    `title` - a String containing the text of the title
  Returns:
    the TitledBorder object

### createTitledBorder

    public static TitledBorder createTitledBorder(Border border,
                                                  java.lang.String title,
                                                  int titleJustification,
                                                  int titlePosition)

  Add a title to an existing border, specifying the text of the title along with its positioning, using the default font and text color determined by the current look and feel.
  Parameters:
    `border` - the Border object to add the title to
    `title` - a String containing the text of the title
    `titleJustification` - an int specifying the left/right position of the title -- one of TitledBorder.LEFT, TitledBorder.CENTER, or TitledBorder.RIGHT, TitledBorder.DEFAULT_JUSTIFICATION (left).
    `titlePosition` - an int specifying the vertical position of the text in relation to the border -- one of: TitledBorder.ABOVE_TOP, TitledBorder.TOP (sitting on the top line), TitledBorder.BELOW_TOP, TitledBorder.ABOVE_BOTTOM, TitledBorder.BOTTOM (sitting on the bottom line), TitledBorder.BELOW_BOTTOM, or TitledBorder.DEFAULT_POSITION (top).
  Returns:
    the TitledBorder object

### createTitledBorder

    public static TitledBorder createTitledBorder(Border border,
                                                  java.lang.String title,
                                                  int titleJustification,
                                                  int titlePosition,
                                                  java.awt.Font titleFont)

  Add a title to an existing border, specifying the text of the title along with its positioning and font, using the default text color determined by the current look and feel.
  Parameters:
    `border` - the Border object to add the title to
    `title` - a String containing the text of the title
    `titleJustification` - an int specifying the left/right position of the title -- one of TitledBorder.LEFT, TitledBorder.CENTER, or TitledBorder.RIGHT, TitledBorder.DEFAULT_JUSTIFICATION (left).
    `titlePosition` - an int specifying the vertical position of the text in relation to the border -- one of: TitledBorder.ABOVE_TOP, TitledBorder.TOP (sitting on the top line), TitledBorder.BELOW_TOP, TitledBorder.ABOVE_BOTTOM, TitledBorder.BOTTOM (sitting on the bottom line), TitledBorder.BELOW_BOTTOM, or TitledBorder.DEFAULT_POSITION (top).
    `titleFont` - a Font object specifying the title font
  Returns:
    the TitledBorder object

### createTitledBorder

    public static TitledBorder createTitledBorder(Border border,
                                                  java.lang.String title,
                                                  int titleJustification,
                                                  int titlePosition,
                                                  java.awt.Font titleFont,
                                                  java.awt.Color titleColor)

  Add a title to an existing border, specifying the text of the title along with its positioning, font, and color.
  Parameters:
    `border` - the Border object to add the title to
    `title` - a String containing the text of the title
    `titleJustification` - an int specifying the left/right position of the title -- one of TitledBorder.LEFT, TitledBorder.CENTER, or TitledBorder.RIGHT, TitledBorder.DEFAULT_JUSTIFICATION (left).
    `titlePosition` - an int specifying the vertical position of the text in relation to the border -- one of: TitledBorder.ABOVE_TOP, TitledBorder.TOP (sitting on the top line), TitledBorder.BELOW_TOP, TitledBorder.ABOVE_BOTTOM, TitledBorder.BOTTOM (sitting on the bottom line), TitledBorder.BELOW_BOTTOM, or TitledBorder.DEFAULT_POSITION (top).
    `titleFont` - a Font object specifying the title font
    `titleColor` - a Color object specifying the title color
  Returns:
    the TitledBorder object

### createEmptyBorder

    public static Border createEmptyBorder()

  Creates an empty border that takes up no space. (The width of the top, bottom, left, and right sides are all zero.)
  Returns:
    the Border object

### createEmptyBorder

    public static Border createEmptyBorder(int top,
                                           int left,
                                           int bottom,
                                           int right)

  Creates an empty border that takes up no space but which does no drawing, specifying the width of the top, left, bottom, and right sides.
  Parameters:
    `top` - an int specifying the width of the top in pixels
    `left` - an int specifying the width of the left side in pixels
    `bottom` - an int specifying the width of the right side in pixels
    `right` - an int specifying the width of the bottom in pixels
  Returns:
    the Border object

### createCompoundBorder

    public static CompoundBorder createCompoundBorder()

  Create a compound border with a null inside edge and a null outside edge.
  Returns:
    the CompoundBorder object

### createCompoundBorder

    public static CompoundBorder createCompoundBorder(Border outsideBorder,
                                                      Border insideBorder)

  Create a compound border specifying the border objects to use for the outside and inside edges.
  Parameters:
    `outsideBorder` - a Border object for the outer edge of the compound border
    `insideBorder` - a Border object for the inner edge of the compound border
  Returns:
    the CompoundBorder object

### createMatteBorder

    public static MatteBorder createMatteBorder(int top,
                                                int left,
                                                int bottom,
                                                int right,
                                                java.awt.Color color)

  Create a matte-look border using a solid color. (The difference between this border and a line border is that you can specify the individual border dimensions.)
  Parameters:
    `top` - an int specifying the width of the top in pixels
    `left` - an int specifying the width of the left side in pixels
    `bottom` - an int specifying the width of the right side in pixels
    `right` - an int specifying the width of the bottom in pixels
    `color` - a Color to use for the border
  Returns:
    the MatteBorder object

### createMatteBorder

    public static MatteBorder createMatteBorder(int top,
                                                int left,
                                                int bottom,
                                                int right,
                                                Icon tileIcon)

  Create a matte-look border that consists of multiple tiles of a specified icon. Multiple copies of the icon are placed side-by-side to fill up the border area.

  Note:
  If the icon doesn't load, the border area is painted gray.

  Parameters:
    `top` - an int specifying the width of the top in pixels
    `left` - an int specifying the width of the left side in pixels
    `bottom` - an int specifying the width of the right side in pixels
    `right` - an int specifying the width of the bottom in pixels
    `tileIcon` - the Icon object used for the border tiles
  Returns:
    the MatteBorder object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.